classification
Title: gzip does not support pathlib
Type: behavior Stage: resolved
Components: Versions: Python 3.7, Python 3.6
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: berker.peksag Nosy List: berker.peksag, brett.cannon, ethan.furman, ned.deily, python-dev, serhiy.storchaka
Priority: normal Keywords: patch

Created on 2016-09-21 07:29 by ethan.furman, last changed 2017-03-31 16:36 by dstufft. This issue is now closed.

Files
File name Uploaded Description Edit
open-gzip.stoneleaf.patch ethan.furman, 2016-09-21 07:29 review
issue28227_v2.diff berker.peksag, 2016-10-02 09:12 review
issue28227_v3.diff berker.peksag, 2016-10-02 10:19 review
Pull Requests
URL Status Linked Edit
PR 552 closed dstufft, 2017-03-31 16:36
Messages (8)
msg277110 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2016-09-21 08:36
Since patches for gzip, bz2 and lzma are too similar, I think it is worth to merge them in one patch.
msg277865 - (view) Author: Berker Peksag (berker.peksag) * (Python committer) Date: 2016-10-02 09:12
I've addressed all of Serhiy's review comments. Thanks!
msg277876 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2016-10-02 10:03
You missed one my comment. GzipFile.name is not converted in write mode.
msg277879 - (view) Author: Berker Peksag (berker.peksag) * (Python committer) Date: 2016-10-02 10:19
You're right. I definitely missed that one. Here is an updated patch. Thanks again!
msg277881 - (view) Author: Berker Peksag (berker.peksag) * (Python committer) Date: 2016-10-02 10:21
By the way, for some reason it doesn't show up at https://bugs.python.org/review/28227/patch/18629/74286
msg277883 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2016-10-02 10:38
The patch LGTM.
msg277884 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2016-10-02 10:46
New changeset 3f71d1a93053 by Berker Peksag in branch '3.6':
Issue #28227: gzip now supports pathlib
https://hg.python.org/cpython/rev/3f71d1a93053

New changeset b244bf74b638 by Berker Peksag in branch 'default':
Issue #28227: Merge from 3.6
https://hg.python.org/cpython/rev/b244bf74b638
msg277885 - (view) Author: Berker Peksag (berker.peksag) * (Python committer) Date: 2016-10-02 10:47
Thanks Ethan and Serhiy.
History
Date User Action Args
2017-03-31 16:36:14dstufftsetpull_requests: + pull_request894
2016-10-02 10:47:36berker.peksagsetstatus: open -> closed
resolution: fixed
messages: + msg277885

stage: commit review -> resolved
2016-10-02 10:46:52python-devsetnosy: + python-dev
messages: + msg277884
2016-10-02 10:38:25serhiy.storchakasetassignee: berker.peksag
messages: + msg277883
stage: patch review -> commit review
2016-10-02 10:21:56berker.peksagsetmessages: + msg277881
2016-10-02 10:19:41berker.peksagsetfiles: + issue28227_v3.diff

messages: + msg277879
2016-10-02 10:03:06serhiy.storchakasetmessages: + msg277876
2016-10-02 09:12:15berker.peksagsetfiles: + issue28227_v2.diff

messages: + msg277865
2016-10-01 02:09:07berker.peksagsetnosy: + berker.peksag
2016-09-23 21:33:28ned.deilysetnosy: + ned.deily

versions: + Python 3.6, Python 3.7
2016-09-21 08:36:13serhiy.storchakasetmessages: + msg277110
2016-09-21 08:33:01serhiy.storchakasetnosy: + serhiy.storchaka
2016-09-21 07:29:26ethan.furmancreate